A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"moonkey docs","colors":{"primary":"#7D00FF","light":"#8d60f0","dark":"#5C35B1"},"logo":{"light":"https://mintcdn.com/streambird-23/7SoXp5lRb42-tDXG/logo/moonkey-logo-light.svg?fit=max\u0026auto=format\u0026n=7SoXp5lRb42-tDXG\u0026q=85\u0026s=d79111a5ab7380e32858a62bc531ecfc","dark":"https://mintcdn.com/streambird-23/KaaakNPa1CnYmCK_/logo/moonkey-logo-dark.svg?fit=max\u0026auto=format\u0026n=KaaakNPa1CnYmCK_\u0026q=85\u0026s=c70dbe7c8b31c1b909d323ec37859637"},"favicon":"/favicon.png","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.moonkey.fun"}},"navbar":{"links":[]},"footer":{"socials":{"github":"https://github.com/moonkey","website":"https://moonkey.fun"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"streambird-23","hasAudioNarration":false,"actualSubdomain":"streambird-23","customDomains":["docs.streambird.io"],"gitSource":{"type":"github","owner":"tim-moonpay","repo":"mintlify-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21a5c87676216effceffac","collectionId":"7c239a6a-5f04-43f3-aec7-14c261c32b26","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21a5c87676216effceffac:success","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"API Reference","count":62},{"language":"default","tag":"Wallet as a Service","count":26},{"language":"default","tag":"Get Started","count":18},{"language":"default","tag":"Authentication","count":13},{"language":"default","tag":"Using Streambird authentication","count":12},{"language":"default","tag":"Using wallets","count":11},{"language":"default","tag":"Users","count":10},{"language":"default","tag":"Recipes","count":10},{"language":"default","tag":"Managed Wallets","count":9},{"language":"default","tag":"Sessions","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/sessions/list-sessions","slug":"/api-reference/sessions/list-sessions","pageMetadata":{"openapi":"get /v1/auth/sessions/list","title":"List Sessions","description":"List identity sessions in an App by user ID.\n## Query String Example\n\n```\n/v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2\n```\n\n## Returns\n\nA successful response returns list of `SessionListItem` objects with associated authentication factors that include unique identifiers and delivery methods in the `sessions` property.","href":"/api-reference/sessions/list-sessions"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n h2: \"h2\",\n p: \"p\",\n pre: \"pre\",\n span: \"span\",\n ..._provideComponents(),\n ...props.components\n }, {CodeBlock} = _components;\n if (!CodeBlock) _missingMdxReference(\"CodeBlock\", true);\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"List identity sessions in an App by user ID.\"\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Query String Example\"\n }), \"\\n\", _jsx(CodeBlock, {\n numberOfLines: \"2\",\n language: \"text\",\n children: _jsx(_components.pre, {\n className: \"shiki shiki-themes github-light-default dark-plus\",\n style: {\n backgroundColor: \"#ffffff\",\n \"--shiki-dark-bg\": \"#0B0C0E\",\n color: \"#1f2328\",\n \"--shiki-dark\": \"#D4D4D4\"\n },\n language: \"text\",\n children: _jsxs(_components.code, {\n language: \"text\",\n numberOfLines: \"2\",\n children: [_jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {\n children: \"/v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2\"\n })\n }), \"\\n\", _jsx(_components.span, {\n className: \"line\",\n children: _jsx(_components.span, {})\n })]\n })\n })\n }), \"\\n\", _jsx(_components.h2, {\n children: \"Returns\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"A successful response returns list of \", _jsx(_components.code, {\n children: \"SessionListItem\"\n }), \" objects with associated authentication factors that include unique identifiers and delivery methods in the \", _jsx(_components.code, {\n children: \"sessions\"\n }), \" property.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\nfunction _missingMdxReference(id, component) {\n throw new Error(\"Expected \" + (component ? \"component\" : \"object\") + \" `\" + id + \"` to be defined: you likely forgot to import, pass, or provide it.\");\n}\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v1/auth/sessions/list","title":"List Sessions","description":"List identity sessions in an App by user ID.\n## Query String Example\n\n```\n/v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2\n```\n\n## Returns\n\nA successful response returns list of `SessionListItem` objects with associated authentication factors that include unique identifiers and delivery methods in the `sessions` property.","href":"/api-reference/sessions/list-sessions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"List Sessions","description":"List identity sessions in an App by user ID.\n## Query String Example\n\n```\n/v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2\n```\n\n## Returns\n\nA successful response returns list of `SessionListItem` objects with associated authentication factors that include unique identifiers and delivery methods in the `sessions` property.","operationId":"ListSessions","parameters":["8184b13f-55ea-49d0-822b-003d09893b92"],"responses":{"200":"16cd53aa-d6a6-4397-b73c-d4db9df1488f"},"tags":["Sessions"],"method":"get","type":"path","servers":["d20f097c-20a8-4afd-b7e5-e96252956d43"],"security":["00d0480a-c2e3-4624-98cd-868739f70878"],"path":"/v1/auth/sessions/list","baseUrlOptions":["https://api.moonkey.fun"],"title":"List Sessions","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"8184b13f-55ea-49d0-822b-003d09893b92":{"name":"user_id","in":"query","required":true,"style":"form","schema":{"type":"string","example":"user_24wFP9pDa9YiMJLun94iKykoZs2","isRequired":true,"description":"Unique User ID to retrieve active sessions.","uniqueKey":"","typeLabel":"string"},"description":"Unique User ID to retrieve active sessions."}},"responses":{"16cd53aa-d6a6-4397-b73c-d4db9df1488f":{"description":"List Sessions response","content":{"application/json":{"schema":{"description":"","type":"object","properties":{"sessions":{"type":"array","uniqueItems":true,"items":{"description":"Session object returned in list responses. Excludes session_token for security reasons.","type":"object","title":"SessionListItem","properties":{"id":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"sessions.items.[INDEX].id","typeLabel":"string"},"user_id":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"sessions.items.[INDEX].user_id","typeLabel":"string"},"started_at":{"type":"number","isRequired":true,"uniqueKey":"sessions.items.[INDEX].started_at","typeLabel":"number"},"expires_at":{"type":"number","isRequired":true,"uniqueKey":"sessions.items.[INDEX].expires_at","typeLabel":"number"},"last_active_at":{"type":"number","isRequired":true,"uniqueKey":"sessions.items.[INDEX].last_active_at","typeLabel":"number"},"factors":{"type":"array","uniqueItems":true,"minItems":1,"items":{"type":"object","properties":{"delivery_channel":{"type":"string","minLength":1,"description":"Delivery channel for this factor. Possible values: sms, email, totp_authenticator, totp_recovery_code, google_oauth, apple_oauth, microsoft_oauth, discord_oauth, okta_oauth, github_oauth, slack_oauth, facebook_oauth, webauthn_credential, eth_wallet, sol_wallet.","isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].delivery_channel","typeLabel":"string"},"type":{"type":"string","minLength":1,"description":"Authentication type of factor. Possible values: otp, oauth, wallet, totp, webauthn.","isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].type","typeLabel":"string"},"method":{"type":"object","required":["method_id","method_type","last_verified_at"],"properties":{"method_id":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.method_id","typeLabel":"string"},"method_type":{"type":"string","minLength":1,"description":"Identifier method type. Possible values: email, wallet, phone_number, webauthn.","isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.method_type","typeLabel":"string"},"last_verified_at":{"type":"number","isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.last_verified_at","typeLabel":"number"},"id":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.id","typeLabel":"string"},"phone_number_id":{"type":"string","minLength":1,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.phone_number_id","typeLabel":"string"},"phone_number":{"type":"string","minLength":1,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.phone_number","typeLabel":"string"},"email_id":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.email_id","typeLabel":"string"},"email":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.email","typeLabel":"string"},"wallet_type":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.wallet_type","typeLabel":"string"},"wallet_id":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.wallet_id","typeLabel":"string"},"wallet_public_address":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.wallet_public_address","typeLabel":"string"},"totp_id":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.totp_id","typeLabel":"string"},"webauthn_credential_id":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.webauthn_credential_id","typeLabel":"string"},"provider_subject":{"type":"string","uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method.provider_subject","typeLabel":"string"}},"isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX].method","typeLabel":"object"}},"required":["delivery_channel","type","method"],"uniqueKey":"sessions.items.[INDEX].factors.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"sessions.items.[INDEX].factors","typeLabel":"object[]"},"device_fingerprint":{"type":"object","required":["user_agent","ip"],"properties":{"user_agent":{"type":"string","isRequired":true,"uniqueKey":"sessions.items.[INDEX].device_fingerprint.user_agent","typeLabel":"string"},"ip":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"sessions.items.[INDEX].device_fingerprint.ip","typeLabel":"string"}},"isRequired":true,"uniqueKey":"sessions.items.[INDEX].device_fingerprint","typeLabel":"object"},"updated_at":{"type":"number","isRequired":true,"uniqueKey":"sessions.items.[INDEX].updated_at","typeLabel":"number"},"created_at":{"type":"number","isRequired":true,"uniqueKey":"sessions.items.[INDEX].created_at","typeLabel":"number"}},"required":["id","user_id","started_at","expires_at","last_active_at","factors","device_fingerprint","updated_at","created_at"],"uniqueKey":"sessions.items.[INDEX]","typeLabel":"SessionListItem · object"},"isRequired":true,"uniqueKey":"sessions","typeLabel":"SessionListItem · object[]"}},"required":["sessions"],"uniqueKey":"","typeLabel":"object"},"examples":{"ListSessionsResp":{"title":"ListSessionsResp","value":{"sessions":[{"id":"sess_24tZ6tlJ7CxlTwB6Zoj6SHQ9vU3","user_id":"user_24wFP9pDa9YiMJLun94iKykoZs2","started_at":1643163802,"expires_at":1643763867,"last_active_at":1643163867,"factors":[{"delivery_channel":"sms","type":"otp","method":{"method_id":"pn_24oXBLRv6BoHXbNZoTAZkAFlRsy","method_type":"phone_number","phone_number_id":"pn_24oXBLRv6BoHXbNZoTAZkAFlRsy","phone_number":"+14152222222","last_verified_at":1643163802}}],"device_fingerprint":{"user_agent":"","ip":""},"updated_at":1643163867,"created_at":1643163802}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"00d0480a-c2e3-4624-98cd-868739f70878":{"Authorization":{"type":"http","scheme":"bearer","description":"Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an `App` as the container.\n\nEndpoints only accept App's `Secret API keys` other than certain endpoints that are used client side or via SDK that accept the `public_token`.\n\n## Authentication using App Api Key\n\n## Header:\n\n```\nAuthorization: Bearer {api_key}\n```\n\n## Authenticated Request\n\n```curl\ncurl \\\n -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \\\n -H \"Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r\"\n```","scopes":[]}}},"servers":{"d20f097c-20a8-4afd-b7e5-e96252956d43":{"url":"https://api.moonkey.fun","description":"Production","variables":{}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an `App` as the container.\n\nEndpoints only accept App's `Secret API keys` other than certain endpoints that are used client side or via SDK that accept the `public_token`.\n\n## Authentication using App Api Key\n\n## Header:\n\n```\nAuthorization: Bearer {api_key}\n```\n\n## Authenticated Request\n\n```curl\ncurl \\\n -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \\\n -H \"Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r\"\n```","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Auth Platform API includes all the Auth related features. All Users, Phone Numbers, Emails, and OTPs are associated with an `App` as the container.\n\nEndpoints only accept App's `Secret API keys` other than certain endpoints that are used client side or via SDK that accept the `public_token`.\n\n## Authentication using App Api Key\n\n## Header:\n\n```\nAuthorization: Bearer {api_key}\n```\n\n## Authenticated Request\n\n```curl\ncurl \\\n -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \\\n -H \"Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r\"\n```","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"openapi/streambird-api-3.1.yml"},"subdomain":"streambird-23","siteName":"moonkey docs","title":"List Sessions - moonkey docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-12-16T21:52:59.601Z","originalFileLocation":"api-reference/sessions/list-sessions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List identity sessions in an App by user ID. ## Query String Example /v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2 ## Returns A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.\">\u003cmeta data-mint-head name=\"application-name\" content=\"moonkey docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List Sessions - moonkey docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"List identity sessions in an App by user ID. ## Query String Example /v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2 ## Returns A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"moonkey docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.streambird.io/api-reference/sessions/list-sessions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://streambird-23.mintlify.app/_mintlify/api/og/v2?division=Sessions\u0026amp;title=List+Sessions\u0026amp;description=List+identity+sessions+in+an+App+by+user+ID.%0A%23%23+Query+String+Example%0A%0A%60%60%60%0A%2Fv1%2Fauth%2Fsessions%2Flist%3Fuser_id%3Duser_24wFP9pDa9YiMJLun94iKykoZs2%0A%60%60%60%0A%0A%23%23+Returns%0A%0AA+suc\u0026amp;theme=d508d8e3df2d6acae45c8112\u0026amp;signature=abc8886cb85a8bfb8537f6d2b79e7aff05595594535875e5b2792ee89e1cd5b2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List Sessions - moonkey docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List identity sessions in an App by user ID. ## Query String Example /v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2 ## Returns A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://streambird-23.mintlify.app/_mintlify/api/og/v2?division=Sessions\u0026amp;title=List+Sessions\u0026amp;description=List+identity+sessions+in+an+App+by+user+ID.%0A%23%23+Query+String+Example%0A%0A%60%60%60%0A%2Fv1%2Fauth%2Fsessions%2Flist%3Fuser_id%3Duser_24wFP9pDa9YiMJLun94iKykoZs2%0A%60%60%60%0A%0A%23%23+Returns%0A%0AA+suc\u0026amp;theme=d508d8e3df2d6acae45c8112\u0026amp;signature=abc8886cb85a8bfb8537f6d2b79e7aff05595594535875e5b2792ee89e1cd5b2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/streambird-23/ZyHtXE9VLNWbz3Rg/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"moonkey docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#7D00FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.streambird.io/api-reference/sessions/list-sessions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/sessions/list-sessions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.streambird.io/#organization\",\"name\":\"moonkey docs\",\"url\":\"https://docs.streambird.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/streambird-23/7SoXp5lRb42-tDXG/logo/moonkey-logo-light.svg?fit=max\u0026auto=format\u0026n=7SoXp5lRb42-tDXG\u0026q=85\u0026s=d79111a5ab7380e32858a62bc531ecfc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.streambird.io#website\",\"name\":\"moonkey docs\",\"url\":\"https://docs.streambird.io\",\"publisher\":{\"@id\":\"https://docs.streambird.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.streambird.io/api-reference/sessions/list-sessions#webpage\",\"url\":\"https://docs.streambird.io/api-reference/sessions/list-sessions\",\"name\":\"List Sessions\",\"description\":\"List identity sessions in an App by user ID. ## Query String Example /v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2 ## Returns A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.\",\"dateModified\":\"2025-12-16T21:52:59.601Z\",\"isPartOf\":{\"@id\":\"https://docs.streambird.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.streambird.io/api-reference/sessions/list-sessions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.streambird.io/api-reference/sessions/list-sessions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Sessions\",\"item\":\"https://docs.streambird.io/api-reference/sessions/getjwks\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List Sessions\",\"item\":\"https://docs.streambird.io/api-reference/sessions/list-sessions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.streambird.io/api-reference/sessions/list-sessions#apireference\",\"headline\":\"List Sessions\",\"name\":\"List Sessions\",\"description\":\"List identity sessions in an App by user ID. ## Query String Example /v1/auth/sessions/list?user_id=user_24wFP9pDa9YiMJLun94iKykoZs2 ## Returns A successful response returns list of SessionListItem objects with associated authentication factors that include unique identifiers and delivery methods in the sessions property.\",\"url\":\"https://docs.streambird.io/api-reference/sessions/list-sessions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.streambird.io/api-reference/sessions/list-sessions#webpage\"},\"dateModified\":\"2025-12-16T21:52:59.601Z\",\"publisher\":{\"@id\":\"https://docs.streambird.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.streambird.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"moonkey docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"moonkey docs","nav":{"global":null,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":"/get-started/about"}]},{"tab":"Authentication","pages":[{"title":"Authentication","href":"/authentication/overview"}]},{"tab":"Wallet as a Service","pages":[{"title":"Wallet as a Service","href":"/wallet-as-a-service/wallets-overview"}]},{"tab":"Recipes","pages":[{"title":"Recipes","href":"/recipes/overview"}]},{"tab":"API Reference","pages":[{"group":"API Reference","pages":[{"title":"Authentication","href":"/api-reference/authentication"}]},{"group":"Managed Wallets","pages":[{"openapi":"post /v1/wallets/create","title":"Create Wallet","href":"/api-reference/managed-wallets/create-wallet"},{"openapi":"post /v1/wallets/balance","title":"Get Wallet Balance","href":"/api-reference/managed-wallets/get-wallet-balance"},{"openapi":"get /v1/wallets/{wallet_id}","title":"Get Wallet","href":"/api-reference/managed-wallets/get-wallet"},{"openapi":"get /v1/wallets/list","title":"List Wallet","href":"/api-reference/managed-wallets/list-wallet"},{"group":"Solana Wallets","pages":[{"title":"Solana Sign Transaction","api":"POST https://api.moonkey.fun/v1/wallets/{wallet_id}/rpc","href":"/api-reference/managed-wallets/solana/sign-transaction"},{"title":"Solana Sign Message","api":"POST https://api.moonkey.fun/v1/wallets/{wallet_id}/rpc","href":"/api-reference/managed-wallets/solana/sign-message"}]},{"group":"Ethereum Wallets","pages":[{"title":"Ethereum Sign Transaction","api":"POST https://api.moonkey.fun/v1/wallets/{wallet_id}/rpc","href":"/api-reference/managed-wallets/ethereum/sign-transaction"},{"title":"Ethereum Sign Message","api":"POST https://api.moonkey.fun/v1/wallets/{wallet_id}/rpc","href":"/api-reference/managed-wallets/ethereum/sign-message"},{"title":"Ethereum Sign EIP-7702 Authorization","api":"POST https://api.moonkey.fun/v1/wallets/{wallet_id}/rpc","href":"/api-reference/managed-wallets/ethereum/sign-7702-authorization"}]}]},{"group":"Wallet Import","pages":[{"openapi":"post /v1/wallets/import/begin","title":"Begin Wallet Import","href":"/api-reference/wallet-import/begin-wallet-import"},{"openapi":"post /v1/wallets/import","title":"Import Wallet","href":"/api-reference/wallet-import/import-wallet"}]},{"group":"Users","pages":[{"openapi":"post /v1/auth/users/create","title":"Create User","href":"/api-reference/users/create-user"},{"openapi":"post /v1/auth/users/search","title":"Search Users (beta)","href":"/api-reference/users/search-users-beta"},{"openapi":"get /v1/auth/users/{user_id}","title":"Get User","href":"/api-reference/users/get-user"},{"openapi":"put /v1/auth/users/{user_id}/update","title":"Update User","href":"/api-reference/users/update-user"},{"openapi":"delete /v1/auth/users/{user_id}/delete","title":"Delete User","href":"/api-reference/users/delete-user"},{"openapi":"delete /v1/auth/users/emails/{email_id}/delete","title":"Delete User Email","href":"/api-reference/users/delete-user-email"},{"openapi":"delete /v1/auth/users/phone_number/{phone_number_id}/delete","title":"Delete User Phone Number","href":"/api-reference/users/delete-user-phone-number"},{"openapi":"delete /v1/auth/users/wallets/{wallet_id}/delete","title":"Delete User Wallet","href":"/api-reference/users/delete-user-wallet"},{"openapi":"delete /v1/auth/users/webauthn_credentials/{webauthn_credential_id}/delete","title":"Delete User WebAuthn Credential","href":"/api-reference/users/delete-user-webauthn-credential"},{"openapi":"delete /v1/auth/users/totps/{totp_id}/delete","title":"Delete User TOTP","href":"/api-reference/users/delete-user-totp"}]},{"group":"OTPs","pages":[{"openapi":"post /v1/auth/otps/sms/login_or_create","title":"Login or Create User by SMS","href":"/api-reference/otps/login-or-create-user-by-sms"},{"openapi":"post /v1/auth/otps/sms/send","title":"Create SMS OTP","href":"/api-reference/otps/create-sms-otp"},{"openapi":"post /v1/auth/otps/email/login_or_create","title":"Login or Create User by Email OTP","href":"/api-reference/otps/login-or-create-user-by-email-otp"},{"openapi":"post /v1/auth/otps/email/send","title":"Create Email OTP","href":"/api-reference/otps/create-email-otp"},{"openapi":"post /v1/auth/otps/verify","title":"Verify OTP (One-time passcode)","href":"/api-reference/otps/verify-otp-one-time-passcode"}]},{"group":"OAuth","pages":[{"openapi":"get /v1/auth/oauth/google/begin","title":"Google","href":"/api-reference/oauth/google"},{"openapi":"get /v1/auth/oauth/apple/begin","title":"Apple","href":"/api-reference/oauth/apple"},{"openapi":"get /v1/auth/oauth/microsoft/begin","title":"Microsoft","href":"/api-reference/oauth/microsoft"},{"openapi":"get /v1/auth/oauth/discord/begin","title":"Discord","href":"/api-reference/oauth/discord"},{"openapi":"get /v1/auth/oauth/github/begin","title":"Github","href":"/api-reference/oauth/github"},{"openapi":"post /v1/auth/oauth/verify","title":"Verify Token","href":"/api-reference/oauth/verify-token"}]},{"group":"Sessions","pages":[{"openapi":"get /v1/auth/jwks/default","title":"GetJWKs","href":"/api-reference/sessions/getjwks"},{"openapi":"get /v1/auth/jwks/{app_id}","title":"GetJWKsByApp","description":"Get JWK Set for the App.\n## Request String Example\n\n``` json\n/v1/auth/jwks/app_24ydphdixx2ydhF0E5WUFUKWNqi\n```\n\n## Returns\n\nA successful response returns a `JWK` Set object.","href":"/api-reference/sessions/getjwksbyapp"},{"openapi":"get /v1/auth/sessions/list","title":"List Sessions","href":"/api-reference/sessions/list-sessions"},{"openapi":"post /v1/auth/sessions/verify","title":"Verify Session","description":"Verify session in an application by session token and/or optionally extend the expiration time of the session by N minutes from now if the `session_expires_in` property is present.\n## Returns\n\nA successful response returns a `Session` object with associated authentication factors that include unique identifiers and delivery methods.","href":"/api-reference/sessions/verify-session"},{"openapi":"delete /v1/auth/sessions/delete","title":"Delete Session","href":"/api-reference/sessions/delete-session"}]},{"group":"TOTP (Time-based one-time passcode)","pages":[{"openapi":"post /v1/auth/totps/create","title":"Create TOTP (beta)","href":"/api-reference/totp-time-based-one-time-passcode/create-totp-beta"},{"openapi":"post /v1/auth/totps/verify","title":"Verify TOTP (beta)","href":"/api-reference/totp-time-based-one-time-passcode/verify-totp-beta"},{"openapi":"post /v1/auth/totps/recovery_codes","title":"Get TOTP Recovery Codes (beta)","href":"/api-reference/totp-time-based-one-time-passcode/get-totp-recovery-codes-beta"},{"openapi":"post /v1/auth/totps/recovery","title":"TOTP Recovery (beta)","href":"/api-reference/totp-time-based-one-time-passcode/totp-recovery-beta"}]},{"group":"Wallets Login","pages":[{"openapi":"post /v1/auth/wallets/registrations/begin","title":"Begin Wallet Registration","href":"/api-reference/wallets-login/begin-wallet-registration"},{"openapi":"post /v1/auth/wallets/registrations/nonce","title":"Get Wallet Registration Nonce","href":"/api-reference/wallets-login/get-wallet-registration-nonce"},{"openapi":"post /v1/auth/wallets/verify","title":"Verify Wallet (beta)","href":"/api-reference/wallets-login/verify-wallet-beta"},{"openapi":"post /v1/auth/wallets/siwe/verify","title":"Verify Siwe Wallet Registration","href":"/api-reference/wallets-login/verify-siwe-wallet-registration"}]},{"group":"Passwords","pages":[{"openapi":"post /v1/auth/passwords/session/update","title":"Update Password by Session (Enterprise)","href":"/api-reference/passwords/update-password-by-session-enterprise"},{"openapi":"post /v1/auth/passwords/verify","title":"Verify Password (Enterprise)","href":"/api-reference/passwords/verify-password-enterprise"},{"openapi":"post /v1/auth/passwords/strength_check","title":"PasswordStrengthCheck (Enterprise)","href":"/api-reference/passwords/passwordstrengthcheck-enterprise"}]},{"group":"Transfers","pages":[{"openapi":"post /v1/transfers/create","title":"Create Transfer (beta)","href":"/api-reference/transfers/create-transfer-beta"},{"openapi":"post /v1/transfers/{transfer_id}/confirm","title":"Confirm Transfer (beta)","href":"/api-reference/transfers/confirm-transfer-beta"},{"openapi":"get /v1/transfers/{transfer_id}","title":"Get Transfer (beta)","href":"/api-reference/transfers/get-transfer-beta"},{"openapi":"get /v1/transfers/list","title":"List Transfer (beta)","href":"/api-reference/transfers/list-transfer-beta"}]},{"group":"WebAuthn","pages":[{"openapi":"post /v1/auth/webauthn/registrations/begin","title":"Initiate WebAuthn Registration (beta)","href":"/api-reference/webauthn/initiate-webauthn-registration-beta"},{"openapi":"post /v1/auth/webauthn/registrations/create","title":"Create WebAuthn Registration (beta)","href":"/api-reference/webauthn/create-webauthn-registration-beta"},{"openapi":"post /v1/auth/webauthn/authentication/begin","title":"Initiate WebAuthn Authentication (beta)","href":"/api-reference/webauthn/initiate-webauthn-authentication-beta"},{"openapi":"post /v1/auth/webauthn/verify","title":"Verify WebAuthn Authentication (beta)","href":"/api-reference/webauthn/verify-webauthn-authentication-beta"}]},{"group":"Magic Links (Deprecated)","pages":[{"openapi":"post /v1/auth/magic_links/email/login_or_create","title":"Login or Create User by Magic Link","href":"/api-reference/magic-links/login-or-create-user-by-magic-link"},{"openapi":"post /v1/auth/magic_links/email/invite","title":"Invite User by Magic Link","href":"/api-reference/magic-links/invite-user-by-magic-link"},{"openapi":"post /v1/auth/magic_links/create","title":"Create Embeddable Magic Link","href":"/api-reference/magic-links/create-embeddable-magic-link"},{"openapi":"post /v1/auth/magic_links/verify","title":"Verify Token","href":"/api-reference/magic-links/verify-token"}]}]}]},"basePath":"","title":"List Sessions - moonkey docs","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DCDCdBVX.js","utils-ME8dDnLe.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-0e84ACsd.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-wgRBj-ia.js","snippetPresets-C11Sgb-o.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-C0lapOpP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-ZeRQV8fF.js","shallow-BupWh095.js","getApiPlaygroundDisplay-BnYQO2Ss.js","CodeSnippet-RKKOc8c_.js","CodeSnippets-Drf_m8wS.js","Page-Bevw23-4.js","getPastedJson-u6QiPzNZ.js","icon-Bb-CBSxO.js","MethodPill-F7l5AI7V.js","DuplicateIcon-IiAXkdSg.js","createIcon-FliI8EBc.js","DynamicMarkdown-B62XqCSI.js","SectionHeading-Dj31pT03.js","axios-vUo_bRtp.js","Markdown-BOgQCTwD.js","clsx-BIWXJmsZ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DKZWslLH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-UDqbR6xh.js"]}